# List businesses

> The Business portfolios an ad account can be created in.

Canonical: <https://www.tryadeli.com/docs/api/ads/list-businesses>

`GET https://app.tryadeli.com/api/v1/ads/businesses`

Authorization: `Bearer <API key>` — see [Authentication](https://www.tryadeli.com/docs/authentication)

The portfolios the authorizing person administers — the ones an ad account can
be created in.

## Request examples

**cURL**

```bash
curl --fail-with-body "https://app.tryadeli.com/api/v1/ads/businesses?accountId=00000000-0000-0000-0000-000000000000" \
  -H "Authorization: Bearer $ADELI_API_KEY"
```

**JavaScript**

```javascript
const response = await fetch("https://app.tryadeli.com/api/v1/ads/businesses?accountId=00000000-0000-0000-0000-000000000000", {
  headers: {
    Authorization: `Bearer ${process.env.ADELI_API_KEY}`,
  },
});
console.log(await response.json());
```

**Python**

```python
import os

import requests

response = requests.get(
    "https://app.tryadeli.com/api/v1/ads/businesses",
    headers={"Authorization": f"Bearer {os.environ['ADELI_API_KEY']}"},
    params={
        "accountId": "00000000-0000-0000-0000-000000000000",
    },
)
print(response.json())
```

## Responses

### 200

```json
{
  "platform": "facebook",
  "accountId": "00000000-0000-0000-0000-000000000000",
  "profileId": "00000000-0000-4000-8000-000000000002",
  "businesses": [
    { "id": "1122334455", "name": "Client A" }
  ]
}
```

### 403

```json
{
  "error": {
    "code": "ads_permission_required",
    "message": "This connection has not granted the Facebook ads permissions",
    "details": { "missingScopes": ["business_management"] }
  }
}
```
